Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: my site host messed up my galleries, need help please!  (Read 4427 times)

0 Members and 1 Guest are viewing this topic.

zookeper

  • Coppermine newbie
  • Offline Offline
  • Posts: 1
my site host messed up my galleries, need help please!
« on: May 23, 2006, 02:12:35 pm »

this is the response from the host
 
"The server was shut temporary for security reason, we have decided to disable exec() to reduce the risk of server attacking, the exec() is used for some gallery functions, however, you can use PHP scripts to fix this issue, for further support, you can visit gallery website forum."

this is the error i see when trying to open the gallery

Warning: main(include/init.inc.php): failed to open stream: No such file or directory in /home/deadlya/public_html/coppermine/index.php on line 59

Warning: main(include/init.inc.php): failed to open stream: No such file or directory in /home/deadlya/public_html/coppermine/index.php on line 59

Fatal error: main(): Failed opening required 'include/init.inc.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/deadlya/public_html/coppermine/index.php on line 59

any help would be great!

« Last Edit: May 27, 2006, 09:58:25 am by GauGau »
Logged

Nibbler

  • Guest
Re: my site host messed up my galleries, need help please!
« Reply #1 on: May 23, 2006, 03:20:38 pm »

Update to 1.4.6. The exec() issue will only affect you if you use IM, so switch to GD2 if you do.
Logged

glenc

  • Contributor
  • Coppermine novice
  • ***
  • Offline Offline
  • Gender: Male
  • Posts: 31
Re: my site host messed up my galleries, need help please!
« Reply #2 on: May 27, 2006, 01:05:19 am »

I receive the same msg

Fatal error: main(): Failed opening required 'include/init.inc.php' (include_path='.:/usr/local/lib/php') in /homepages/35/d152546478/htdocs/index.php on line 59


I was on my site today and an hour later I only got a blank page. I fear it was hacked by an ex-contractor. I had ftp'ed the website to my HD a few weeks ago as a backup thinking in worse case it was a duplacate that I could uplode it ...and like magic it would work ::) the version was 1.4.3 my hosting company 1and1.com suggested to delete all and reupload.

TIA for any help you may provide

p.s. the error msg came after delete and reupload upon trying to access my site www.kiscme.com
Logged
Quote
Find a common need and do it uncommonly well.

glenc

  • Contributor
  • Coppermine novice
  • ***
  • Offline Offline
  • Gender: Male
  • Posts: 31
Re: my site host messed up my galleries, need help please!
« Reply #3 on: May 27, 2006, 02:15:38 am »

will try to upgrade as the last post said, looks like something I can do, 

3.5 Upgrading from cpg1.4.0 or better to version cpg1.4.6
First, make a backup (dump) of your database.
Backup your include/config.inc.php file, your anycontent.php file and your "albums" directoy.
Unpack the archive
If the file install.php exists in the root directory, delete it. When performing an upgrade, it is not needed.
Except for the "albums" directory, upload all of the new files and directories making sure not to overwrite the include/config.inc.php file, your anycontent.php file or the albums directory.
Run the file "update.php" in the coppermine directory once in your browser (e.g. http://yourdomain.tld/coppermine/update.php). This will update your coppermine install by making all necessary changes in the database.
If you have made a custom theme, apply the changes that were introduced in the themes structure to your custom-made theme - refer to the theme-upgrade guide.
Please note: as there have been changes both in the coppermine files and the database from cpg1.4.0 or better to cpg1.4.6, users of older versions than cpg1.4.6 will have to apply all steps mentioned above: both the files have to be replaced and the update.php script has to be run once.

Back to top



:-\ wish me luck on the database dump gulp :'(
Logged
Quote
Find a common need and do it uncommonly well.

glenc

  • Contributor
  • Coppermine novice
  • ***
  • Offline Offline
  • Gender: Male
  • Posts: 31
Re: my site host messed up my galleries, need help please!
« Reply #4 on: May 27, 2006, 04:11:03 am »

 :o You have currently installed: 1.4.6 everything seems ok with only a few things out of place. I did the version check and here is what came back. http://www.kiscme.com/SPXImage.jpg. cant beleive it went that smooth.
Logged
Quote
Find a common need and do it uncommonly well.
Pages: [1]   Go Up
 

Page created in 0.019 seconds with 20 queries.